#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

#define MAX_N 12
#define MAX_LINE (MAX_N*(MAX_N+1)/2)
#define EPS 1e-6

void coord(int index, double *x, double *y)
{
  int row;

  for (row = 1; index >= row; row++) {
    index -= row;
  }

  *x = (row-1)*sqrt(3)/2;
  *y = (row-1)*(-0.5) + index;
}

double dist(int i1, int i2)
{
  double x1, y1, x2, y2;

  coord(i1, &x1, &y1);
  coord(i2, &x2, &y2);
  return sqrt((x1-x2)*(x1-x2) + (y1-y2)*(y1-y2));
}

int main(void)
{
  int n, loser;
  char line[MAX_LINE+1];
  char win[26];
  int i, j, k;

  while (scanf("%d\n", &n) == 1 && n) {
    scanf("%s", line);
    memset(win, 0, 26);

    for (i = 0; i < n*(n+1)/2; i++) {
      for (j = i+1; j < n*(n+1)/2; j++) {
	for (k = j+1; line[i] == line[j] && k < n*(n+1)/2; k++) {
	  if (line[j] == line[k] &&
	      fabs(dist(i,j) - dist(j,k)) < EPS && 
	      fabs(dist(i,j) - dist(i,k)) < EPS) {
	    win[line[i] - 'a'] = 1;
	  }
	}
      }
    }

    loser = 1;
    for (i = 0; i < 26; i++) {
      if (win[i]) {
	putchar('a'+i);
	loser = 0;
      }
    }
    if (loser) {
      printf("LOOOOOOOOSER!");
    }
    putchar('\n');
  }
  return 0;
}
